Create a saved view
curl --request POST \
--url https://memex.garden/api/create-view \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "AI research",
"description": "Saved content tagged for AI research",
"scope": {
"version": 1,
"expression": {
"type": "tag",
"tagId": "tag_123"
},
"defaults": {
"sortBy": "date-desc",
"includeNotes": true
}
}
}
'import requests
url = "https://memex.garden/api/create-view"
payload = {
"title": "AI research",
"description": "Saved content tagged for AI research",
"scope": {
"version": 1,
"expression": {
"type": "tag",
"tagId": "tag_123"
},
"defaults": {
"sortBy": "date-desc",
"includeNotes": True
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'AI research',
description: 'Saved content tagged for AI research',
scope: {
version: 1,
expression: {type: 'tag', tagId: 'tag_123'},
defaults: {sortBy: 'date-desc', includeNotes: true}
}
})
};
fetch('https://memex.garden/api/create-view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://memex.garden/api/create-view",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'AI research',
'description' => 'Saved content tagged for AI research',
'scope' => [
'version' => 1,
'expression' => [
'type' => 'tag',
'tagId' => 'tag_123'
],
'defaults' => [
'sortBy' => 'date-desc',
'includeNotes' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://memex.garden/api/create-view"
payload := strings.NewReader("{\n \"title\": \"AI research\",\n \"description\": \"Saved content tagged for AI research\",\n \"scope\": {\n \"version\": 1,\n \"expression\": {\n \"type\": \"tag\",\n \"tagId\": \"tag_123\"\n },\n \"defaults\": {\n \"sortBy\": \"date-desc\",\n \"includeNotes\": true\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://memex.garden/api/create-view")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"AI research\",\n \"description\": \"Saved content tagged for AI research\",\n \"scope\": {\n \"version\": 1,\n \"expression\": {\n \"type\": \"tag\",\n \"tagId\": \"tag_123\"\n },\n \"defaults\": {\n \"sortBy\": \"date-desc\",\n \"includeNotes\": true\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://memex.garden/api/create-view")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"AI research\",\n \"description\": \"Saved content tagged for AI research\",\n \"scope\": {\n \"version\": 1,\n \"expression\": {\n \"type\": \"tag\",\n \"tagId\": \"tag_123\"\n },\n \"defaults\": {\n \"sortBy\": \"date-desc\",\n \"includeNotes\": true\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"view": {
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"scope": {
"version": 1,
"expression": {
"type": "query",
"text": "<string>"
},
"defaults": {
"sortBy": "date-desc",
"includeNotes": true
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"favicon": "<string>"
}
}{
"error": "Unauthorized"
}{
"error": "Internal server error",
"message": "<string>"
}API reference
Create a saved view
Creates a saved view for the authenticated user. A view stores a reusable scope expression that can later be listed or searched.
POST
/
create-view
Create a saved view
curl --request POST \
--url https://memex.garden/api/create-view \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "AI research",
"description": "Saved content tagged for AI research",
"scope": {
"version": 1,
"expression": {
"type": "tag",
"tagId": "tag_123"
},
"defaults": {
"sortBy": "date-desc",
"includeNotes": true
}
}
}
'import requests
url = "https://memex.garden/api/create-view"
payload = {
"title": "AI research",
"description": "Saved content tagged for AI research",
"scope": {
"version": 1,
"expression": {
"type": "tag",
"tagId": "tag_123"
},
"defaults": {
"sortBy": "date-desc",
"includeNotes": True
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'AI research',
description: 'Saved content tagged for AI research',
scope: {
version: 1,
expression: {type: 'tag', tagId: 'tag_123'},
defaults: {sortBy: 'date-desc', includeNotes: true}
}
})
};
fetch('https://memex.garden/api/create-view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://memex.garden/api/create-view",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'AI research',
'description' => 'Saved content tagged for AI research',
'scope' => [
'version' => 1,
'expression' => [
'type' => 'tag',
'tagId' => 'tag_123'
],
'defaults' => [
'sortBy' => 'date-desc',
'includeNotes' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://memex.garden/api/create-view"
payload := strings.NewReader("{\n \"title\": \"AI research\",\n \"description\": \"Saved content tagged for AI research\",\n \"scope\": {\n \"version\": 1,\n \"expression\": {\n \"type\": \"tag\",\n \"tagId\": \"tag_123\"\n },\n \"defaults\": {\n \"sortBy\": \"date-desc\",\n \"includeNotes\": true\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://memex.garden/api/create-view")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"AI research\",\n \"description\": \"Saved content tagged for AI research\",\n \"scope\": {\n \"version\": 1,\n \"expression\": {\n \"type\": \"tag\",\n \"tagId\": \"tag_123\"\n },\n \"defaults\": {\n \"sortBy\": \"date-desc\",\n \"includeNotes\": true\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://memex.garden/api/create-view")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"AI research\",\n \"description\": \"Saved content tagged for AI research\",\n \"scope\": {\n \"version\": 1,\n \"expression\": {\n \"type\": \"tag\",\n \"tagId\": \"tag_123\"\n },\n \"defaults\": {\n \"sortBy\": \"date-desc\",\n \"includeNotes\": true\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"view": {
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"scope": {
"version": 1,
"expression": {
"type": "query",
"text": "<string>"
},
"defaults": {
"sortBy": "date-desc",
"includeNotes": true
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"favicon": "<string>"
}
}{
"error": "Unauthorized"
}{
"error": "Internal server error",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Created view response
Show child attributes
Show child attributes

